#!/bin/sh
#----------------------------------------------------------------------------
# libstdcpp-libc6-2-2 - Installation
#
# Creation:     2007-08-28 hbfl
# Last Update:  $Id: install.sh 206 2007-08-29 17:12:27Z holbru $
#
# Copyright (c) 2007 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set packages name
packages_name=libstdcpp-libc6-2-2

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
LinkDES="libstdc++-3-libc6.2-2-2.10.0.so"
LinkSRC="libstdc++-libc6.2-2.so.3"

_old_dir=`pwd`
cd /usr/lib/

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
done

cd ${_old_dir}

#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig >/dev/null 2>&1

#----------------------------------------------------------------------------
# generate deinstall file
#----------------------------------------------------------------------------

# check for date
package_date=`grep "<date>" /var/install/packages/${packages_name} | sed 's#</*date>##g'`

cat > /var/install/deinstall/${packages_name} <<EOF
#! /bin/sh
#----------------------------------------------------------------------------
# /var/install/deinstall/${packages_name} - ${packages_name} deinstallation
#
# Creation:     2007-08-28 hbfl
# Last Update:  ${package_date} hbfl
#
# Copyright (c) 2007 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# read eislib
. /var/install/include/eislib

mecho -info " THIS PACKAGE IS PART OF THE SYSTEM!"
mecho -info " YOU CAN NOT REMOVE IT "

exit 1

EOF

chmod 0700 /var/install/deinstall/${packages_name}
touch -r /var/install/packages/${packages_name} /var/install/deinstall/${packages_name}
echo "u 0700 root root ${packages_name} var/install/deinstall/${packages_name}" >>/etc/filelist.d/${packages_name}-files.txt



packages2_name=gppshare


cat > /etc/filelist.d/${packages2_name}-files.txt   <<EOF
#----------------------------------------------------------------------------
# gppshare-files.txt - list of all files of package 'gppshare'
#
# Creation   : 2007-08-28  holbru
# Last update: 2007-08-28  holbru
#----------------------------------------------------------------------------
u 0755 root root gppshare tmp/install.sh
b 0755 root root gppshare usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
u 0644 root root gppshare var/install/packages/gppshare
#
u 0644 root root gppshare etc/filelist.d/gppshare-files.txt
EOF

chmod 0644 /etc/filelist.d/${packages2_name}-files.txt


cat > /var/install/deinstall/${packages2_name} <<EOF
#! /bin/sh
#----------------------------------------------------------------------------
# /var/install/deinstall/${packages2_name} - ${packages2_name} deinstallation
#
# Creation:     2007-08-28 hbfl
# Last Update:  ${package_date} hbfl
#
# Copyright (c) 2007 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# read eislib
. /var/install/include/eislib

mecho -info " THIS PACKAGE IS PART OF THE SYSTEM!"
mecho -info " YOU CAN NOT REMOVE IT "

exit 1

EOF

chmod 0700 /var/install/deinstall/${packages2_name}
touch -r /var/install/packages/${packages_name} /var/install/deinstall/${packages2_name}
echo "u 0700 root root ${packages2_name} var/install/deinstall/${packages2_name}" >>/etc/filelist.d/${packages2_name}-files.txt


cat > /var/install/packages/${packages2_name}  <<EOF
<package>
<name>gppshare</name>
<short>Standard C++ Library v3</short>
<version>1.2.0</version>
<date>${package_date}</date>
<system>eisfair-1</system>
<author>Holger Bruenjes, holgerbruenjes(at)gmx(dot)net</author>
<status>stable</status>
<section>lib</section>
<description>

Standard C++ Library v3

http://www.gnu.org
</description>
</package>
EOF

chmod 0644 /var/install/packages/${packages2_name}
touch -r /var/install/packages/${packages_name} /var/install/packages/${packages2_name}

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------